qmf::Schema Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Attributes
qmf::Schema Class Reference

`#include <qmf/Schema.h>`

List of all members.

## Public Member Functions
| Schema (SchemaImpl *impl=0)
| Schema (const Schema &)
Schema & | operator= (const Schema &)
| ~Schema ()
| Schema (int, const std::string &, const std::string &)
const SchemaId & | getSchemaId () const
void | finalize ()
bool | isFinalized () const
void | addProperty (const SchemaProperty &)
void | addMethod (const SchemaMethod &)
void | setDesc (const std::string &)
const std::string & | getDesc () const
void | setDefaultSeverity (int)
int | getDefaultSeverity () const
uint32_t | getPropertyCount () const
SchemaProperty | getProperty (uint32_t) const
uint32_t | getMethodCount () const
SchemaMethod | getMethod (uint32_t) const
QMF_INLINE_EXTERN bool | isValid () const
QMF_INLINE_EXTERN bool | isNull () const
QMF_INLINE_EXTERN | operator bool () const
| Conversion to bool supports idiom if (handle) { handle->...
QMF_INLINE_EXTERN bool | operator! () const
| Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.
void | swap (Handle< T > &h)
## Protected Types
typedef T | Impl
## Protected Attributes
Impl * | impl

## Member Typedef Documentation

typedef T qmf::Handle::Impl`[protected, inherited]`

Definition at line 56 of file Handle.h.

## Constructor & Destructor Documentation

qmf::Schema::Schema | ( | SchemaImpl * | impl = `0` | ) |

qmf::Schema::Schema | ( | const Schema & |  | ) |

qmf::Schema::~Schema | ( |  | ) |

qmf::Schema::Schema | ( | int | ,
|  | const std::string & | ,
|  | const std::string & |
| ) |  |

## Member Function Documentation

void qmf::Schema::addMethod | ( | const SchemaMethod & |  | ) |

void qmf::Schema::addProperty | ( | const SchemaProperty & |  | ) |

void qmf::Schema::finalize | ( |  | ) |

int qmf::Schema::getDefaultSeverity | ( |  | ) | const

const std::string& qmf::Schema::getDesc | ( |  | ) | const

SchemaMethod qmf::Schema::getMethod | ( | uint32_t |  | ) | const

uint32_t qmf::Schema::getMethodCount | ( |  | ) | const

SchemaProperty qmf::Schema::getProperty | ( | uint32_t |  | ) | const

uint32_t qmf::Schema::getPropertyCount | ( |  | ) | const

const SchemaId& qmf::Schema::getSchemaId | ( |  | ) | const

bool qmf::Schema::isFinalized | ( |  | ) | const

QMF_INLINE_EXTERN bool qmf::Handle::isNull | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is null. It is an error to call any function on a null handle.

Definition at line 45 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::isValid | ( |  | ) | const`[inline, inherited]`

Returns:
  true if handle is valid, i.e. not null.

Definition at line 42 of file Handle.h.

QMF_INLINE_EXTERN qmf::Handle::operator bool | ( |  | ) | const`[inline, inherited]`

Conversion to bool supports idiom if (handle) { handle->...

}

Definition at line 48 of file Handle.h.

QMF_INLINE_EXTERN bool qmf::Handle::operator! | ( |  | ) | const`[inline, inherited]`

Operator ! supports idiom if (!handle) { do_if_handle_is_null(); }.

Definition at line 51 of file Handle.h.

Schema& qmf::Schema::operator= | ( | const Schema & |  | ) |

void qmf::Schema::setDefaultSeverity | ( | int |  | ) |

void qmf::Schema::setDesc | ( | const std::string & |  | ) |

void qmf::Handle::swap | ( | Handle< T > & | h | ) | `[inline, inherited]`

Definition at line 53 of file Handle.h.

## Member Data Documentation

Impl* qmf::Handle::impl`[protected, inherited]`

Definition at line 63 of file Handle.h.

The documentation for this class was generated from the following file:

- qmf/Schema.h